Subject: Re: [PATCH v3 2/2] reflog: implement subcommand to drop reflogs

From: Junio C Hamano <[email-masked]>
Date: Tue, 18 Mar 2025 10:44:18 -0700

Christian Couder <[email-masked]> writes:

> It looks like 'single_worktree' is only used here. This means that if
> a user forgets to add --all and only uses --single-worktree, nothing
> will happen and it seems to me that the command will exit with code 0.
> Even if `git reflog expire` already works like that, I think this is a
> bit unfortunate.
>
> Otherwise this patch series looks very well done to me.

In the thread Toon too seems to have noticed the same "what if there
is no --all and --single-worktree is given?" gotcha.  Together with
the "current would be better name than single", we can consider that
these funnies are to be "consistent" with the "expire" thing, and I
am OK to see us move on.  An alternative is to "fix" the behaviour
and naming of the "expire" first, and then use the same improved
behaviour and naming when adding "drop" as a new thing.

Thanks.